Page MenuHomePhabricator

Get repo code somewhat up to date with current app
AbandonedPublic

Authored by WyldBot on Apr 20 2019, 12:41 PM.

Details

Summary

Original iOS repo

Fixes

Test Plan

Nothing, just review/accept

Diff Detail

Repository
rIOS iOS Client
Branch
arcpatch-D244
Lint
Lint ErrorsExcuse: h
SeverityLocationCodeMessage
ErrorWildFyre.xcodeproj\project.pbxproj:3TXT2Tab Literal
ErrorWildFyre.xcodeproj\project.xcworkspace\xcshareddata\IDEWorkspaceChecks.plist:5TXT2Tab Literal
ErrorWildFyre.xcworkspace\xcshareddata\IDEWorkspaceChecks.plist:5TXT2Tab Literal
ErrorWildFyre\Assets.xcassets\AppIcon.appiconset\Icon-40@2x.png:NAME1Bad Filename
ErrorWildFyre\Assets.xcassets\AppIcon.appiconset\Icon-40@3x.png:NAME1Bad Filename
ErrorWildFyre\Assets.xcassets\AppIcon.appiconset\Icon-60@2x.png:NAME1Bad Filename
ErrorWildFyre\Assets.xcassets\AppIcon.appiconset\Icon-60@3x.png:NAME1Bad Filename
ErrorWildFyre\Assets.xcassets\AppIcon.appiconset\Icon-72@2x.png:NAME1Bad Filename
ErrorWildFyre\Assets.xcassets\AppIcon.appiconset\Icon-76@2x.png:NAME1Bad Filename
ErrorWildFyre\Assets.xcassets\AppIcon.appiconset\Icon-83.5@2x.png:NAME1Bad Filename
ErrorWildFyre\Assets.xcassets\AppIcon.appiconset\Icon-Small-50@2x.png:NAME1Bad Filename
ErrorWildFyre\Assets.xcassets\AppIcon.appiconset\Icon-Small@2x.png:NAME1Bad Filename
ErrorWildFyre\Assets.xcassets\AppIcon.appiconset\Icon-Small@3x.png:NAME1Bad Filename
ErrorWildFyre\Assets.xcassets\AppIcon.appiconset\Icon@2x.png:NAME1Bad Filename
ErrorWildFyre\Assets.xcassets\AppIcon.appiconset\NotificationIcon@2x.png:NAME1Bad Filename
ErrorWildFyre\Assets.xcassets\AppIcon.appiconset\NotificationIcon@3x.png:NAME1Bad Filename
ErrorWildFyre\Assets.xcassets\AppIcon.appiconset\NotificationIcon~ipad.png:NAME1Bad Filename
ErrorWildFyre\Assets.xcassets\AppIcon.appiconset\NotificationIcon~ipad@2x.png:NAME1Bad Filename
Unit
No Unit Test Coverage
Build Status
Buildable 652
Build 652: arc lint + arc unit

Event Timeline

WyldBot created this revision.Apr 20 2019, 12:41 PM
Info-Screen accepted this revision.Apr 22 2019, 6:17 PM
This revision is now accepted and ready to land.Apr 22 2019, 6:17 PM
Info-Screen requested changes to this revision.Apr 22 2019, 6:18 PM

There is a big warning above the box and still I nearly missed it....

What is with lint?

This revision now requires changes to proceed.Apr 22 2019, 6:18 PM
SweatyMushroomz accepted this revision.Apr 22 2019, 11:42 PM
SweatyMushroomz commandeered this revision.Apr 22 2019, 11:45 PM
SweatyMushroomz edited reviewers, added: WyldBot; removed: SweatyMushroomz.
WyldBot requested changes to this revision.Apr 22 2019, 11:46 PM
  • New iosclient with code
  • New iosclient with code
  • New iosclient with code
  • Removed private files
  • Fixed errors
  1. Updating D244: Get repo code somewhat up to date with current app #
  2. Enter a brief description of the changes included in this update.
  3. The first line is used as subject, next lines as comment. #

Current ios client
The one that's on the app store

Harbormaster completed remote builds in B637: Diff 867.
Info-Screen commandeered this revision.Apr 23 2019, 12:11 AM
Info-Screen abandoned this revision.
Info-Screen reclaimed this revision.
Info-Screen edited reviewers, added: SweatyMushroomz; removed: Info-Screen.

Fu*k wrong revision too.....

@SweatyMushroomz please commandeer this revision.

SweatyMushroomz commandeered this revision.Apr 23 2019, 12:23 AM
SweatyMushroomz edited reviewers, added: Info-Screen; removed: SweatyMushroomz.
  • Fixed errors
Harbormaster completed remote builds in B639: Diff 870.
Harbormaster completed remote builds in B640: Diff 871.
Harbormaster completed remote builds in B641: Diff 872.
Harbormaster completed remote builds in B643: Diff 874.
Harbormaster completed remote builds in B645: Diff 876.

Lint lines are too long. Check my inline comment in AlertChildPageViewController.xib:2

Pods/AlertOnboarding/Pod/Assets/AlertChildPageViewController.xib
2 ↗(On Diff #876)

Split the line at a convenient location. It's not hard, just press enter instead of space.
Repeat for all the other warnings

WyldBot requested changes to this revision.Wed, Apr 24, 1:19 PM

Add a .gitignore to hide .DS_Store files and all files in the Pods folder

This revision now requires changes to proceed.Wed, Apr 24, 1:19 PM
In D244#6038, @WyldBot wrote:

Add a .gitignore to hide .DS_Store files and all files in the Pods folder

Also Podfile.lock

WyldBot commandeered this revision.Thu, Apr 25, 4:23 AM
WyldBot edited reviewers, added: SweatyMushroomz; removed: WyldBot.
This revision now requires review to proceed.Thu, Apr 25, 4:23 AM
WyldBot updated this revision to Diff 883.Thu, Apr 25, 4:42 AM
  • Git ignore
  • fixed untracked files
WyldBot planned changes to this revision.Thu, Apr 25, 4:54 AM
WyldBot abandoned this revision.Sun, May 12, 2:23 PM